Name:           qtspim
Version:        20160709
Release:        0.1.svn%{?dist}
Summary:        Qt Frontend for the SPIM assembly language MIPS32 simulator
Group:          Development/Languages
License:        BSD
URL:            http://spimsimulator.sourceforge.net/
Source0:        qtspim-20160709.tar.gz
Patch0:         qtspim.qt5-fix.patch

BuildRequires:  qt5-qtbase-devel qt5-qhelpgenerator qt5-qttools-devel 
BuildRequires:  flex bison make gcc-c++ desktop-file-utils
Requires: qt5-qtbase-gui qt5-assistant desktop-file-utils

%description
QtSpim is a QT front-end for the SPIM simulator. SPIM is a simulator that runs
programs written for MIPS32 computers. SPIM can read and immediately execute
assembly language files. SPIM  is a self-contained system for running these
programs and contains a debugger and interface to a few operating system 
services.

%prep
%setup 
#rm -rf %{name}-%{version}
#svn co http://svn.code.sf.net/p/spimsimulator/code/ %{name}-%{version}
#cd %{name}-%{version}
#Clean out the compiled/linked files in the source
rm -f parser_yacc.h
%patch0 -p1

# Fix EOL encoding.
sed 's/\r//' QtSpim/README > README.unix
touch -r QtSpim/README README.unix
mv -f README.unix README

# Fix some permissions.
find . -type f -perm /0111 -print0 | xargs -0 chmod a-x

%build
cd QtSpim
qmake-qt5
make clean
CFLAGS="%{optflags}" make %{?_smp_mflags}

%install
#cd %{name}-%{version}

mkdir -p $RPM_BUILD_ROOT%{_bindir}

mkdir -vp %{buildroot}%{_datadir}/qtspim/help

mkdir -vp %{buildroot}/%{_datadir}/applications/

install -v -m 755 QtSpim/QtSpim \
 %{buildroot}%{_bindir}/qtspim

install -v -m 644 QtSpim/help/* \
 %{buildroot}%{_datadir}/qtspim/help

install -p -m 644 -D Documentation/qtspim.man \
 %{buildroot}%{_mandir}/man1/qtspim.1

install -v -m 644 -D Setup/qtspim_debian_deployment/copyright \
 %{buildroot}%{_docdir}/qtspim/LICENSE

install -v -m 644 -D QtSpim/README \
 %{buildroot}%{_docdir}/qtspim/README

install -v -m 644 -D Setup/NewIcon256x256.png \
 %{buildroot}/%{_datadir}/icons/hicolor/256x256/qtspim.png

install -v -m 644 -D Setup/NewIcon48x48.png \
 %{buildroot}/%{_datadir}/icons/hicolor/48x48/qtspim.png

install -v -m 644 -D Setup/qtspim_debian_deployment/qtspim.desktop \
 %{buildroot}/%{_datadir}/applications/

desktop-file-install \
 --add-category="Development" \
 --set-icon=qtspim \
 --delete-original \
 --dir=%{buildroot}%{_datadir}/applications \
 --remove-key=Version \
 %{buildroot}/%{_datadir}/applications/qtspim.desktop


%files
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/applications/qtspim.desktop
%{_datadir}/icons/hicolor/48x48/qtspim.png
%{_datadir}/icons/hicolor/256x256/qtspim.png
%{_docdir}/qtspim/LICENSE
%dir %{_datadir}/icons/hicolor
%dir %{_datadir}/icons/hicolor/48x48
%dir %{_datadir}/icons/hicolor/256x256
%{_mandir}/man1/*
%doc %{_docdir}/qtspim/README
%license %{_docdir}/qtspim/LICENSE

%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%changelog
* Sat Jul 09 2016 Chad Hirsch <charims[@]gmail.com> - 20160709
- Initial package
